MinovaEasy - Feature #2897

Widget Inbox, Outbox dan Archive
07/18/2024 02:03 PM - jihad ....

Status: Closed Start date:
Priority: High Due date:
Assignee: jihad .... % Done:
Category: Estimated time:
Target version: Spent time:

07/18/2024
07/26/2024

0%

0.00 hour
2.00 hours

Description
Dear Mas Shofwan,

Ingin dibuatkan widget Inbox, Outbox dan Archive di Home Employee, saat ini widgetnya udah aku tampilkan 3
Tiap Widget tersebut ingin menampilkan jumlah yang masih open

Terima kasih.

My Attendance

Date

15.07.2024

16.07.2024

17.07.2024

18.07.2024

19.07.2024

20.07.2024

21.07.2024

WS Attend In QOut

Q My

Search Help
Inbox @

nando -

Remark
WDAY

WDAY

WDAY

WDAY

WDAY

OFF

OFF

History

#1 - 07/18/2024 03:18 PM - Kezia Pawitra Yulianti
- Due date set to 07/26/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 07/18/2024 03:21 PM - Kezia Pawitra Yulianti

oh iya, kenapa gak sekalian tampilin sisa kuota cuti jg di widget home employee. kayaknya itu jg perlu
#3 - 07/18/2024 03:36 PM - jihad ....

Oke mba ditambahin remaining quota yaa berarti,

Mas Shofwan sekalian yang remaining quota yaa, widgetnya aku munculin 4 berarti ya.

Terima kasih

#4 - 07/19/2024 03:39 PM - shofwan shiddiq

- File clipboard-202407191537-cmzgp.png added

- Assignee changed from shofwan shiddiq to jihad ....
Dear Jihad, sudah di deploy yah
UPDATE

1. Table PCUSTFEATURE > FeatureName Inbox, Outbox, Archive, RemainQuota
2. PCMWFCUSTPARAM > ID = GETDASHBOARDDATA

3. Stored Procedure = Widget_Dashboard

Boleh tolong di buatkan Icon2 nya untuk keempat logo tersebut, nanti saya ubah logonya.
#5 - 07/22/2024 09:59 AM - jihad ....

- Assignee changed from jihad .... to shofwan shiddiq

berikut mas untuk icon2nya:

1. inbox
https://fontawesome.com/icons/inbox?f=classic&s=solid

2. outbox
https://fontawesome.com/icons/arrow-up-from-bracket?f=classic&s=solid

3. archive
https://fontawesome.com/icons/box-archive ?f=classic&s=solid

4. remaining quota
https://fontawesome.com/icons/hourglass-half?f=classic&s=solid

#6 - 07/22/2024 10:35 AM - shofwan shiddiq

- File clipboard-202407221035-dmvyp.png added

- Assignee changed from shofwan shiddiq to jihad ....
Dear Jihad, Icon sudah di update ya.

UPDATE
C:\Webserver\Easy\UI\Themes\Default\assets\img\
-archive.png

-inbox.png

-outbox.png

-remainquota.png

script: C:\Webserver\Easy\U\Themes\Default\assets\css\styles.css
https://fontawesome.com/icons/inbox?f=classic&s=solid
https://fontawesome.com/icons/box-archive?f=classic&s=solid
https://fontawesome.com/icons/hourglass-half?f=classic&s=solid
#7 - 07/22/2024 10:43 AM - jihad ....

- Status changed from Assigned to Closed

Terima kasih mas

#8 - 07/23/2024 09:48 AM - Regina Tasya

- Status changed from Closed to Assigned

- Assignee changed from jihad .... to shofwan shiddiq

Mas Shofwan, ingin minta tolong di setting mas, ketika widget di klik maka akan ke halaman yang berkaitan
inbox > menu inbox

outbox > menu outbox

archive > menu archive

remaining quota > ke menu time data tab md absence quota

terima kasih

#9 - 07/25/2024 11:18 AM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to jihad ....

Dear jihad, semua widget sudah hyper link ya

Untuk widget remain quota tidak bisa langsung ke tab remain quota, hanya bisa ke page time data

#10 - 07/25/2024 11:22 AM - jihad ....

- Status changed from Assigned to Closed

baik mas, terima kasih

Files

clipboard-202407181401-gnrk3.png 103 KB 07/18/2024 jihad ....
clipboard-202407191537-cmzgp.png 166 KB 07/19/2024 shofwan shiddiq
clipboard-202407221035-dmvyp.png 91.1 KB 07/22/2024 shofwan shiddiq
